Foreman - Bug #636

Foreman doews not recognise a change in the environment when this is changed in a fact
01/31/2011 10:37 AM - Paul Kelly

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Facts

Target version: 0.4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Foreman sets the environment for a host just once. If is changes after that, then it is ignored.

Related issues:
Related to Foreman - Feature #416: Report on inconsistant facts New 10/25/2010
Has duplicate Foreman - Bug #1016: Environement may be altered via another so... Rejected 06/30/2011

Associated revisions

Revision b187e885 - 07/24/2011 04:39 AM - Ohad Levy

wrong setting category - refs #636

Revision d3fbfd7e - 07/24/2011 11:29 AM - Paul Kelly

Fixes #636 - Update environment from facts

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 02/02/2011 10:37 AM - Paul Kelly
- Status changed from New to Ready For Testing

#2 - 02/12/2011 04:44 AM - Paul Kelly

Rebased and mailed

#3 - 05/23/2011 04:34 PM - Jacob McCann

Is this fix simple enough for me to try and apply and test? I've ran into this issue and wouldn't mind testing a fix to address it until its released
officially.

#4 - 06/19/2011 04:01 AM - Ohad Levy

- Status changed from Ready For Testing to Need more information

sure - its actually a trivial fix, but might not work for all - see
http://groups.google.com/group/foreman-dev/browse_thread/thread/a969fd2056c22424/ea1a50b81956579a?Ink=gst&q=636#ea1a50b81956579a

#5 - 07/22/2011 10:02 AM - Paul Kelly

- Status changed from Need more information to Ready For Testing

| have added a Setting to control the behavior so now the administrator can decide whether they want the environment fact to replace the foreman
value

#6 - 07/24/2011 03:06 AM - Paul Kelly
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset d3fbfd7eb2ab787eef fc68fac.

#7 - 07/24/2011 03:07 AM - Ohad Levy

- Target version set to 0.4

04/19/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d3fbfd7eb2ab787eef988ce90e85ed593fc68fac
http://www.tcpdf.org

